<%
  @filter = params[:filter]
  new_filter = params[:new_filter]
  
  if @filter && params[:clear]
    @filter.delete(params[:type])
  elsif @filter && new_filter
    if @filter.has_key?(new_filter[:type]) && @filter[new_filter[:type]].include?(new_filter[:id].to_s)
      @filter[new_filter[:type]].delete(new_filter[:id].to_s)
    elsif @filter.has_key?(new_filter[:type])
      @filter[new_filter[:type]] << new_filter[:id].to_s
    else
      @filter.merge!({new_filter[:type] => [new_filter[:id].to_s]})
    end
  elsif new_filter
    @filter = {new_filter[:type] => [new_filter[:id].to_s]}
  end


  if @user
    @writing_patents = WritingPatent.where(:create_user_id => @user.id).page(params[:page]).per(10)
  else
    @writing_patents = WritingPatent.all.page(params[:page]).per(10)
  end


%>

<table class="table main-list">
	<thead>
		<tr>
			<th class="span1"><%= t('writing_patent.publish_date') %></th>
			<th class="span3"><%= t('writing_patent.title') %></th>
		</tr>
	</thead>
	<tbody id="tbody_writing_patents" class="sort-holder">
		
		
	<% @writing_patents.each do |writing_patent| %>	
			
	<tr id="<%= dom_id writing_patent %>" class="with_action">
		<td><%= writing_patent.publish_date.strftime("%Y.%m") %></td>
		<td>
		<%= link_to writing_patent.patent_title, panel_personal_patent_front_end_writing_patent_path(writing_patent) %>
		</td>
	</tr>		
		
	<% end %>	
		
		
	</tbody>
</table>

<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_patent_back_end_writing_patent_path(:user_id => @user.id), :class => 'btn btn-primary pull-right' %>


<div class="form-actions form-fixed pagination-right">
	<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_patent_plugin_writing_patent_path, :class => 'btn btn-primary pull-right' %>
	<div id="writing_patent_pagination" class="paginationFixed">
	<%= paginate @writing_patents, :params => {:direction => params[:direction], :sort => params[:sort], :filter => @filter, :new_filter => nil} %>
	</div>
</div>
